Subject: Re: [PATCH] Fix interrupt distribution in ppc970

From: Mohan Kumar M <[email-masked]>
Date: Mon, 18 Dec 2006 10:44:27 +0530

On Mon, Dec 18, 2006 at 03:37:36PM +1100, Paul Mackerras wrote:
> Mohan Kumar M writes:
> 
> > To overcome this problem, I have created the patch, which
> > checks for the condition if the machine is ppc970 based and maxcpus
> > kernel parameter is specified. If the condition is met, the default
> > distribution server is assigned to be current boot cpu instead of
> > assigning from the gserver#s property.
> 
> It feels hacky to be basing this sort of thing on the PVR.  I would
> like to understand the real problem better.  Is it that we are
> sometimes setting default_distrib_server to point to a CPU which is
> not running?  If so, why and how?  Is this something that is specific
> to the firmware on IBM 970-based blade systems?  Is there in fact a
> firmware bug that this works around?  Why don't we see it on non-970
> based systems?
>

Yes, It may be related to firmware issue also. I am trying to upgrade my
JS20 box with the latest firmware. I will test this case after a
successful firmware upgrade and update you with the results.

Regards,
Mohan.

> Paul.